PageRenderTime 78ms CodeModel.GetById 7ms app.highlight 64ms RepoModel.GetById 2ms app.codeStats 0ms

/Makefile.in

https://code.google.com/
Autoconf | 807 lines | 717 code | 61 blank | 29 comment | 131 complexity | f25e54d2930e7a71d1a4dd2fe3f01590 MD5 | raw file
  1# Makefile.in generated by automake 1.9.6 from Makefile.am.
  2# @configure_input@
  3
  4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
  5# 2003, 2004, 2005  Free Software Foundation, Inc.
  6# This Makefile.in is free software; the Free Software Foundation
  7# gives unlimited permission to copy and/or distribute it,
  8# with or without modifications, as long as this notice is preserved.
  9
 10# This program is distributed in the hope that it will be useful,
 11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
 12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
 13# PARTICULAR PURPOSE.
 14
 15@SET_MAKE@
 16
 17# Dependencies to ensure requisite libraries are rebuilt
 18#
 19srcdir = @srcdir@
 20top_srcdir = @top_srcdir@
 21VPATH = @srcdir@
 22pkgdatadir = $(datadir)/@PACKAGE@
 23pkglibdir = $(libdir)/@PACKAGE@
 24pkgincludedir = $(includedir)/@PACKAGE@
 25top_builddir = .
 26am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
 27INSTALL = @INSTALL@
 28install_sh_DATA = $(install_sh) -c -m 644
 29install_sh_PROGRAM = $(install_sh) -c
 30install_sh_SCRIPT = $(install_sh) -c
 31INSTALL_HEADER = $(INSTALL_DATA)
 32transform = $(program_transform_name)
 33NORMAL_INSTALL = :
 34PRE_INSTALL = :
 35POST_INSTALL = :
 36NORMAL_UNINSTALL = :
 37PRE_UNINSTALL = :
 38POST_UNINSTALL = :
 39build_triplet = @build@
 40host_triplet = @host@
 41target_triplet = @target@
 42DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
 43	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
 44	$(top_srcdir)/config/Make-inc.mk $(top_srcdir)/configure \
 45	AUTHORS COPYING INSTALL NEWS TODO
 46subdir = .
 47ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 48am__aclocal_m4_deps = $(top_srcdir)/config/ac_connect_timeout.m4 \
 49	$(top_srcdir)/config/ac_debug.m4 \
 50	$(top_srcdir)/config/ac_dmalloc.m4 \
 51	$(top_srcdir)/config/ac_dshgroup.m4 \
 52	$(top_srcdir)/config/ac_elan.m4 \
 53	$(top_srcdir)/config/ac_exec.m4 \
 54	$(top_srcdir)/config/ac_fanout.m4 \
 55	$(top_srcdir)/config/ac_genders.m4 \
 56	$(top_srcdir)/config/ac_gpl_licensed.m4 \
 57	$(top_srcdir)/config/ac_krb4.m4 \
 58	$(top_srcdir)/config/ac_machines.m4 \
 59	$(top_srcdir)/config/ac_meta.m4 \
 60	$(top_srcdir)/config/ac_mqshell.m4 \
 61	$(top_srcdir)/config/ac_mrsh.m4 \
 62	$(top_srcdir)/config/ac_msghdr_accrights.m4 \
 63	$(top_srcdir)/config/ac_netgroup.m4 \
 64	$(top_srcdir)/config/ac_nodeattr.m4 \
 65	$(top_srcdir)/config/ac_nodeupdown.m4 \
 66	$(top_srcdir)/config/ac_pam.m4 \
 67	$(top_srcdir)/config/ac_pollselect.m4 \
 68	$(top_srcdir)/config/ac_qshell.m4 \
 69	$(top_srcdir)/config/ac_rcmd_rank_list.m4 \
 70	$(top_srcdir)/config/ac_readline.m4 \
 71	$(top_srcdir)/config/ac_rmsquery.m4 \
 72	$(top_srcdir)/config/ac_rsh.m4 $(top_srcdir)/config/ac_sdr.m4 \
 73	$(top_srcdir)/config/ac_slurm.m4 \
 74	$(top_srcdir)/config/ac_socklen_t.m4 \
 75	$(top_srcdir)/config/ac_ssh.m4 \
 76	$(top_srcdir)/config/ac_static_modules.m4 \
 77	$(top_srcdir)/config/ac_torque.m4 \
 78	$(top_srcdir)/config/ac_xcpu.m4 \
 79	$(top_srcdir)/config/acx_pthread.m4 \
 80	$(top_srcdir)/config/libtool.m4 $(top_srcdir)/configure.ac
 81am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 82	$(ACLOCAL_M4)
 83am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 84 configure.lineno configure.status.lineno
 85mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
 86CONFIG_HEADER = config.h
 87CONFIG_CLEAN_FILES =
 88SOURCES =
 89DIST_SOURCES =
 90RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
 91	html-recursive info-recursive install-data-recursive \
 92	install-exec-recursive install-info-recursive \
 93	install-recursive installcheck-recursive installdirs-recursive \
 94	pdf-recursive ps-recursive uninstall-info-recursive \
 95	uninstall-recursive
 96ETAGS = etags
 97CTAGS = ctags
 98DIST_SUBDIRS = $(SUBDIRS)
 99DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
100distdir = $(PACKAGE)-$(VERSION)
101top_distdir = $(distdir)
102am__remove_distdir = \
103  { test ! -d $(distdir) \
104    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
105         && rm -fr $(distdir); }; }
106DIST_ARCHIVES = $(distdir).tar.gz $(distdir).tar.bz2
107GZIP_ENV = --best
108distuninstallcheck_listfiles = find . -type f -print
109distcleancheck_listfiles = find . -type f -print
110ACLOCAL = @ACLOCAL@
111AIX_PDSH_LDFLAGS = @AIX_PDSH_LDFLAGS@
112AMDEP_FALSE = @AMDEP_FALSE@
113AMDEP_TRUE = @AMDEP_TRUE@
114AMTAR = @AMTAR@
115AR = @AR@
116AUTOCONF = @AUTOCONF@
117AUTOHEADER = @AUTOHEADER@
118AUTOMAKE = @AUTOMAKE@
119AWK = @AWK@
120CC = @CC@
121CCDEPMODE = @CCDEPMODE@
122CFLAGS = @CFLAGS@
123CONNECT_TIMEOUT = @CONNECT_TIMEOUT@
124CONVENIENCE_LTDL_FALSE = @CONVENIENCE_LTDL_FALSE@
125CONVENIENCE_LTDL_TRUE = @CONVENIENCE_LTDL_TRUE@
126CPP = @CPP@
127CPPFLAGS = @CPPFLAGS@
128CXX = @CXX@
129CXXCPP = @CXXCPP@
130CXXDEPMODE = @CXXDEPMODE@
131CXXFLAGS = @CXXFLAGS@
132CYGPATH_W = @CYGPATH_W@
133DEFS = @DEFS@
134DEPDIR = @DEPDIR@
135ECHO = @ECHO@
136ECHO_C = @ECHO_C@
137ECHO_N = @ECHO_N@
138ECHO_T = @ECHO_T@
139EGREP = @EGREP@
140ELAN_LIBS = @ELAN_LIBS@
141EXEEXT = @EXEEXT@
142F77 = @F77@
143FANOUT = @FANOUT@
144FFLAGS = @FFLAGS@
145GENDERS_LIBS = @GENDERS_LIBS@
146HAVE_LIBGENDERS = @HAVE_LIBGENDERS@
147HAVE_LIBNODEUPDOWN = @HAVE_LIBNODEUPDOWN@
148HAVE_MACHINES = @HAVE_MACHINES@
149HAVE_MQSHELL = @HAVE_MQSHELL@
150HAVE_MRSH = @HAVE_MRSH@
151HAVE_NODEATTR = @HAVE_NODEATTR@
152HAVE_QSHELL = @HAVE_QSHELL@
153HAVE_RMSQUERY = @HAVE_RMSQUERY@
154HAVE_SDR = @HAVE_SDR@
155HAVE_SLURM = @HAVE_SLURM@
156HAVE_SSH = @HAVE_SSH@
157HAVE_TORQUE = @HAVE_TORQUE@
158HAVE_XCPU = @HAVE_XCPU@
159INSTALL_DATA = @INSTALL_DATA@
160INSTALL_LTDL_FALSE = @INSTALL_LTDL_FALSE@
161INSTALL_LTDL_TRUE = @INSTALL_LTDL_TRUE@
162INSTALL_PROGRAM = @INSTALL_PROGRAM@
163INSTALL_SCRIPT = @INSTALL_SCRIPT@
164INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
165KRB_LIBS = @KRB_LIBS@
166LDFLAGS = @LDFLAGS@
167LIBADD_DL = @LIBADD_DL@
168LIBMODS_OBJS = @LIBMODS_OBJS@
169LIBOBJS = @LIBOBJS@
170LIBS = @LIBS@
171LIBTOOL = @LIBTOOL@
172LN_S = @LN_S@
173LTLIBOBJS = @LTLIBOBJS@
174MACHINES = @MACHINES@
175MAINT = @MAINT@
176MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
177MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
178MAKEINFO = @MAKEINFO@
179META_ALIAS = @META_ALIAS@
180META_AUTHOR = @META_AUTHOR@
181META_DATE = @META_DATE@
182META_LT_AGE = @META_LT_AGE@
183META_LT_CURRENT = @META_LT_CURRENT@
184META_LT_REVISION = @META_LT_REVISION@
185META_NAME = @META_NAME@
186META_RELEASE = @META_RELEASE@
187META_VERSION = @META_VERSION@
188MRSH_LIBS = @MRSH_LIBS@
189NODEATTR = @NODEATTR@
190NODEUPDOWN_LIBS = @NODEUPDOWN_LIBS@
191OBJEXT = @OBJEXT@
192PACKAGE = @PACKAGE@
193PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
194PACKAGE_NAME = @PACKAGE_NAME@
195PACKAGE_STRING = @PACKAGE_STRING@
196PACKAGE_TARNAME = @PACKAGE_TARNAME@
197PACKAGE_VERSION = @PACKAGE_VERSION@
198PATH_SEPARATOR = @PATH_SEPARATOR@
199PDSH_VERSION = @PDSH_VERSION@
200PDSH_VERSION_FULL = @PDSH_VERSION_FULL@
201PROG_MQSHD = @PROG_MQSHD@
202PROG_QSHD = @PROG_QSHD@
203PTHREAD_CC = @PTHREAD_CC@
204PTHREAD_CFLAGS = @PTHREAD_CFLAGS@
205PTHREAD_LIBS = @PTHREAD_LIBS@
206QSHELL_LIBS = @QSHELL_LIBS@
207RANLIB = @RANLIB@
208READLINE_LIBS = @READLINE_LIBS@
209RMSQUERY = @RMSQUERY@
210SDRGETOBJECTS = @SDRGETOBJECTS@
211SET_MAKE = @SET_MAKE@
212SHELL = @SHELL@
213SLURM_LIBS = @SLURM_LIBS@
214STRIP = @STRIP@
215TORQUE_CPPFLAGS = @TORQUE_CPPFLAGS@
216TORQUE_LIBS = @TORQUE_LIBS@
217VERSION = @VERSION@
218WITH_DSHGROUP_FALSE = @WITH_DSHGROUP_FALSE@
219WITH_DSHGROUP_TRUE = @WITH_DSHGROUP_TRUE@
220WITH_EXEC_FALSE = @WITH_EXEC_FALSE@
221WITH_EXEC_TRUE = @WITH_EXEC_TRUE@
222WITH_GNU_LD_FALSE = @WITH_GNU_LD_FALSE@
223WITH_GNU_LD_TRUE = @WITH_GNU_LD_TRUE@
224WITH_KRB4_FALSE = @WITH_KRB4_FALSE@
225WITH_KRB4_TRUE = @WITH_KRB4_TRUE@
226WITH_LIBGENDERS_FALSE = @WITH_LIBGENDERS_FALSE@
227WITH_LIBGENDERS_TRUE = @WITH_LIBGENDERS_TRUE@
228WITH_LIBMUNGE_FALSE = @WITH_LIBMUNGE_FALSE@
229WITH_LIBMUNGE_TRUE = @WITH_LIBMUNGE_TRUE@
230WITH_MACHINES_FALSE = @WITH_MACHINES_FALSE@
231WITH_MACHINES_TRUE = @WITH_MACHINES_TRUE@
232WITH_MQSHELL_FALSE = @WITH_MQSHELL_FALSE@
233WITH_MQSHELL_TRUE = @WITH_MQSHELL_TRUE@
234WITH_MRSH_FALSE = @WITH_MRSH_FALSE@
235WITH_MRSH_TRUE = @WITH_MRSH_TRUE@
236WITH_NETGROUP_FALSE = @WITH_NETGROUP_FALSE@
237WITH_NETGROUP_TRUE = @WITH_NETGROUP_TRUE@
238WITH_NODEATTR_FALSE = @WITH_NODEATTR_FALSE@
239WITH_NODEATTR_TRUE = @WITH_NODEATTR_TRUE@
240WITH_NODEUPDOWN_FALSE = @WITH_NODEUPDOWN_FALSE@
241WITH_NODEUPDOWN_TRUE = @WITH_NODEUPDOWN_TRUE@
242WITH_QSHELL_FALSE = @WITH_QSHELL_FALSE@
243WITH_QSHELL_TRUE = @WITH_QSHELL_TRUE@
244WITH_QSW_FALSE = @WITH_QSW_FALSE@
245WITH_QSW_TRUE = @WITH_QSW_TRUE@
246WITH_READLINE_FALSE = @WITH_READLINE_FALSE@
247WITH_READLINE_TRUE = @WITH_READLINE_TRUE@
248WITH_RMS_FALSE = @WITH_RMS_FALSE@
249WITH_RMS_TRUE = @WITH_RMS_TRUE@
250WITH_RSH_FALSE = @WITH_RSH_FALSE@
251WITH_RSH_TRUE = @WITH_RSH_TRUE@
252WITH_SDR_FALSE = @WITH_SDR_FALSE@
253WITH_SDR_TRUE = @WITH_SDR_TRUE@
254WITH_SLURM_FALSE = @WITH_SLURM_FALSE@
255WITH_SLURM_TRUE = @WITH_SLURM_TRUE@
256WITH_SSH_FALSE = @WITH_SSH_FALSE@
257WITH_SSH_TRUE = @WITH_SSH_TRUE@
258WITH_STATIC_MODULES_FALSE = @WITH_STATIC_MODULES_FALSE@
259WITH_STATIC_MODULES_TRUE = @WITH_STATIC_MODULES_TRUE@
260WITH_TORQUE_FALSE = @WITH_TORQUE_FALSE@
261WITH_TORQUE_TRUE = @WITH_TORQUE_TRUE@
262WITH_XCPU_FALSE = @WITH_XCPU_FALSE@
263WITH_XCPU_TRUE = @WITH_XCPU_TRUE@
264ac_ct_AR = @ac_ct_AR@
265ac_ct_CC = @ac_ct_CC@
266ac_ct_CXX = @ac_ct_CXX@
267ac_ct_F77 = @ac_ct_F77@
268ac_ct_RANLIB = @ac_ct_RANLIB@
269ac_ct_STRIP = @ac_ct_STRIP@
270acx_pthread_config = @acx_pthread_config@
271am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
272am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
273am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
274am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
275am__include = @am__include@
276am__leading_dot = @am__leading_dot@
277am__quote = @am__quote@
278am__tar = @am__tar@
279am__untar = @am__untar@
280bindir = @bindir@
281build = @build@
282build_alias = @build_alias@
283build_cpu = @build_cpu@
284build_os = @build_os@
285build_vendor = @build_vendor@
286datadir = @datadir@
287exec_prefix = @exec_prefix@
288host = @host@
289host_alias = @host_alias@
290host_cpu = @host_cpu@
291host_os = @host_os@
292host_vendor = @host_vendor@
293includedir = @includedir@
294infodir = @infodir@
295install_sh = @install_sh@
296libdir = @libdir@
297libexecdir = @libexecdir@
298localstatedir = @localstatedir@
299mandir = @mandir@
300mkdir_p = @mkdir_p@
301oldincludedir = @oldincludedir@
302prefix = @prefix@
303program_transform_name = @program_transform_name@
304sbindir = @sbindir@
305sharedstatedir = @sharedstatedir@
306sysconfdir = @sysconfdir@
307target = @target@
308target_alias = @target_alias@
309target_cpu = @target_cpu@
310target_os = @target_os@
311target_vendor = @target_vendor@
312ACLOCAL_AMFLAGS = -I config
313AUTOMAKE_OPTIONS = foreign dist-bzip2
314CONFIG_STATUS_DEPENDENCIES = META
315SUBDIRS = src tests doc etc scripts config
316MAINTAINERCLEANFILES = \
317    aclocal.m4 \
318    config.h.in \
319    configure \
320    stamp-h \
321    stamp-h.in 
322
323EXTRA_DIST = \
324    DISCLAIMER META \
325    pdsh.spec \
326    README.KRB4 \
327    README.QsNet \
328    README.modules \
329    bootstrap 
330
331all: config.h
332	$(MAKE) $(AM_MAKEFLAGS) all-recursive
333
334.SUFFIXES:
335am--refresh:
336	@:
337$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/config/Make-inc.mk $(am__configure_deps)
338	@for dep in $?; do \
339	  case '$(am__configure_deps)' in \
340	    *$$dep*) \
341	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
342	      cd $(srcdir) && $(AUTOMAKE) --foreign  \
343		&& exit 0; \
344	      exit 1;; \
345	  esac; \
346	done; \
347	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  Makefile'; \
348	cd $(top_srcdir) && \
349	  $(AUTOMAKE) --foreign  Makefile
350.PRECIOUS: Makefile
351Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
352	@case '$?' in \
353	  *config.status*) \
354	    echo ' $(SHELL) ./config.status'; \
355	    $(SHELL) ./config.status;; \
356	  *) \
357	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
358	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
359	esac;
360
361$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
362	$(SHELL) ./config.status --recheck
363
364$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
365	cd $(srcdir) && $(AUTOCONF)
366$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
367	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
368
369config.h: stamp-h1
370	@if test ! -f $@; then \
371	  rm -f stamp-h1; \
372	  $(MAKE) stamp-h1; \
373	else :; fi
374
375stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
376	@rm -f stamp-h1
377	cd $(top_builddir) && $(SHELL) ./config.status config.h
378$(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps) 
379	cd $(top_srcdir) && $(AUTOHEADER)
380	rm -f stamp-h1
381	touch $@
382
383distclean-hdr:
384	-rm -f config.h stamp-h1
385
386mostlyclean-libtool:
387	-rm -f *.lo
388
389clean-libtool:
390	-rm -rf .libs _libs
391
392distclean-libtool:
393	-rm -f libtool
394uninstall-info-am:
395
396# This directory's subdirectories are mostly independent; you can cd
397# into them and run `make' without going through this Makefile.
398# To change the values of `make' variables: instead of editing Makefiles,
399# (1) if the variable is set in `config.status', edit `config.status'
400#     (which will cause the Makefiles to be regenerated when you run `make');
401# (2) otherwise, pass the desired values on the `make' command line.
402$(RECURSIVE_TARGETS):
403	@failcom='exit 1'; \
404	for f in x $$MAKEFLAGS; do \
405	  case $$f in \
406	    *=* | --[!k]*);; \
407	    *k*) failcom='fail=yes';; \
408	  esac; \
409	done; \
410	dot_seen=no; \
411	target=`echo $@ | sed s/-recursive//`; \
412	list='$(SUBDIRS)'; for subdir in $$list; do \
413	  echo "Making $$target in $$subdir"; \
414	  if test "$$subdir" = "."; then \
415	    dot_seen=yes; \
416	    local_target="$$target-am"; \
417	  else \
418	    local_target="$$target"; \
419	  fi; \
420	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
421	  || eval $$failcom; \
422	done; \
423	if test "$$dot_seen" = "no"; then \
424	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
425	fi; test -z "$$fail"
426
427mostlyclean-recursive clean-recursive distclean-recursive \
428maintainer-clean-recursive:
429	@failcom='exit 1'; \
430	for f in x $$MAKEFLAGS; do \
431	  case $$f in \
432	    *=* | --[!k]*);; \
433	    *k*) failcom='fail=yes';; \
434	  esac; \
435	done; \
436	dot_seen=no; \
437	case "$@" in \
438	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
439	  *) list='$(SUBDIRS)' ;; \
440	esac; \
441	rev=''; for subdir in $$list; do \
442	  if test "$$subdir" = "."; then :; else \
443	    rev="$$subdir $$rev"; \
444	  fi; \
445	done; \
446	rev="$$rev ."; \
447	target=`echo $@ | sed s/-recursive//`; \
448	for subdir in $$rev; do \
449	  echo "Making $$target in $$subdir"; \
450	  if test "$$subdir" = "."; then \
451	    local_target="$$target-am"; \
452	  else \
453	    local_target="$$target"; \
454	  fi; \
455	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
456	  || eval $$failcom; \
457	done && test -z "$$fail"
458tags-recursive:
459	list='$(SUBDIRS)'; for subdir in $$list; do \
460	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
461	done
462ctags-recursive:
463	list='$(SUBDIRS)'; for subdir in $$list; do \
464	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
465	done
466
467ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
468	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
469	unique=`for i in $$list; do \
470	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
471	  done | \
472	  $(AWK) '    { files[$$0] = 1; } \
473	       END { for (i in files) print i; }'`; \
474	mkid -fID $$unique
475tags: TAGS
476
477TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
478		$(TAGS_FILES) $(LISP)
479	tags=; \
480	here=`pwd`; \
481	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
482	  include_option=--etags-include; \
483	  empty_fix=.; \
484	else \
485	  include_option=--include; \
486	  empty_fix=; \
487	fi; \
488	list='$(SUBDIRS)'; for subdir in $$list; do \
489	  if test "$$subdir" = .; then :; else \
490	    test ! -f $$subdir/TAGS || \
491	      tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
492	  fi; \
493	done; \
494	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
495	unique=`for i in $$list; do \
496	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
497	  done | \
498	  $(AWK) '    { files[$$0] = 1; } \
499	       END { for (i in files) print i; }'`; \
500	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
501	  test -n "$$unique" || unique=$$empty_fix; \
502	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
503	    $$tags $$unique; \
504	fi
505ctags: CTAGS
506CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
507		$(TAGS_FILES) $(LISP)
508	tags=; \
509	here=`pwd`; \
510	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
511	unique=`for i in $$list; do \
512	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
513	  done | \
514	  $(AWK) '    { files[$$0] = 1; } \
515	       END { for (i in files) print i; }'`; \
516	test -z "$(CTAGS_ARGS)$$tags$$unique" \
517	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
518	     $$tags $$unique
519
520GTAGS:
521	here=`$(am__cd) $(top_builddir) && pwd` \
522	  && cd $(top_srcdir) \
523	  && gtags -i $(GTAGS_ARGS) $$here
524
525distclean-tags:
526	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
527
528distdir: $(DISTFILES)
529	$(am__remove_distdir)
530	mkdir $(distdir)
531	$(mkdir_p) $(distdir)/config $(distdir)/doc
532	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
533	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
534	list='$(DISTFILES)'; for file in $$list; do \
535	  case $$file in \
536	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
537	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
538	  esac; \
539	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
540	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
541	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
542	    dir="/$$dir"; \
543	    $(mkdir_p) "$(distdir)$$dir"; \
544	  else \
545	    dir=''; \
546	  fi; \
547	  if test -d $$d/$$file; then \
548	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
549	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
550	    fi; \
551	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
552	  else \
553	    test -f $(distdir)/$$file \
554	    || cp -p $$d/$$file $(distdir)/$$file \
555	    || exit 1; \
556	  fi; \
557	done
558	list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
559	  if test "$$subdir" = .; then :; else \
560	    test -d "$(distdir)/$$subdir" \
561	    || $(mkdir_p) "$(distdir)/$$subdir" \
562	    || exit 1; \
563	    distdir=`$(am__cd) $(distdir) && pwd`; \
564	    top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
565	    (cd $$subdir && \
566	      $(MAKE) $(AM_MAKEFLAGS) \
567	        top_distdir="$$top_distdir" \
568	        distdir="$$distdir/$$subdir" \
569	        distdir) \
570	      || exit 1; \
571	  fi; \
572	done
573	-find $(distdir) -type d ! -perm -755 -exec chmod a+rwx,go+rx {} \; -o \
574	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
575	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
576	  ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
577	|| chmod -R a+r $(distdir)
578dist-gzip: distdir
579	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
580	$(am__remove_distdir)
581dist-bzip2: distdir
582	tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
583	$(am__remove_distdir)
584
585dist-tarZ: distdir
586	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
587	$(am__remove_distdir)
588
589dist-shar: distdir
590	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
591	$(am__remove_distdir)
592
593dist-zip: distdir
594	-rm -f $(distdir).zip
595	zip -rq $(distdir).zip $(distdir)
596	$(am__remove_distdir)
597
598dist dist-all: distdir
599	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
600	tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
601	$(am__remove_distdir)
602
603# This target untars the dist file and tries a VPATH configuration.  Then
604# it guarantees that the distribution is self-contained by making another
605# tarfile.
606distcheck: dist
607	case '$(DIST_ARCHIVES)' in \
608	*.tar.gz*) \
609	  GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
610	*.tar.bz2*) \
611	  bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
612	*.tar.Z*) \
613	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
614	*.shar.gz*) \
615	  GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
616	*.zip*) \
617	  unzip $(distdir).zip ;;\
618	esac
619	chmod -R a-w $(distdir); chmod a+w $(distdir)
620	mkdir $(distdir)/_build
621	mkdir $(distdir)/_inst
622	chmod a-w $(distdir)
623	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
624	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
625	  && cd $(distdir)/_build \
626	  && ../configure --srcdir=.. --prefix="$$dc_install_base" \
627	    $(DISTCHECK_CONFIGURE_FLAGS) \
628	  && $(MAKE) $(AM_MAKEFLAGS) \
629	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
630	  && $(MAKE) $(AM_MAKEFLAGS) check \
631	  && $(MAKE) $(AM_MAKEFLAGS) install \
632	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
633	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
634	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
635	        distuninstallcheck \
636	  && chmod -R a-w "$$dc_install_base" \
637	  && ({ \
638	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
639	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
640	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
641	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
642	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
643	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
644	  && rm -rf "$$dc_destdir" \
645	  && $(MAKE) $(AM_MAKEFLAGS) dist \
646	  && rm -rf $(DIST_ARCHIVES) \
647	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
648	$(am__remove_distdir)
649	@(echo "$(distdir) archives ready for distribution: "; \
650	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
651	  sed -e '1{h;s/./=/g;p;x;}' -e '$${p;x;}'
652distuninstallcheck:
653	@cd $(distuninstallcheck_dir) \
654	&& test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
655	   || { echo "ERROR: files left after uninstall:" ; \
656	        if test -n "$(DESTDIR)"; then \
657	          echo "  (check DESTDIR support)"; \
658	        fi ; \
659	        $(distuninstallcheck_listfiles) ; \
660	        exit 1; } >&2
661distcleancheck: distclean
662	@if test '$(srcdir)' = . ; then \
663	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
664	  exit 1 ; \
665	fi
666	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
667	  || { echo "ERROR: files left in build directory after distclean:" ; \
668	       $(distcleancheck_listfiles) ; \
669	       exit 1; } >&2
670check-am: all-am
671check: check-recursive
672all-am: Makefile config.h
673installdirs: installdirs-recursive
674installdirs-am:
675install: install-recursive
676install-exec: install-exec-recursive
677install-data: install-data-recursive
678uninstall: uninstall-recursive
679
680install-am: all-am
681	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
682
683installcheck: installcheck-recursive
684install-strip:
685	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
686	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
687	  `test -z '$(STRIP)' || \
688	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
689mostlyclean-generic:
690
691clean-generic:
692
693distclean-generic:
694	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
695
696maintainer-clean-generic:
697	@echo "This command is intended for maintainers to use"
698	@echo "it deletes files that may require special tools to rebuild."
699	-test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
700clean: clean-recursive
701
702clean-am: clean-generic clean-libtool mostlyclean-am
703
704distclean: distclean-recursive
705	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
706	-rm -f Makefile
707distclean-am: clean-am distclean-generic distclean-hdr \
708	distclean-libtool distclean-local distclean-tags
709
710dvi: dvi-recursive
711
712dvi-am:
713
714html: html-recursive
715
716info: info-recursive
717
718info-am:
719
720install-data-am:
721
722install-exec-am:
723
724install-info: install-info-recursive
725
726install-man:
727
728installcheck-am:
729
730maintainer-clean: maintainer-clean-recursive
731	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
732	-rm -rf $(top_srcdir)/autom4te.cache
733	-rm -f Makefile
734maintainer-clean-am: distclean-am maintainer-clean-generic \
735	maintainer-clean-local
736
737mostlyclean: mostlyclean-recursive
738
739mostlyclean-am: mostlyclean-generic mostlyclean-libtool
740
741pdf: pdf-recursive
742
743pdf-am:
744
745ps: ps-recursive
746
747ps-am:
748
749uninstall-am: uninstall-info-am uninstall-local
750
751uninstall-info: uninstall-info-recursive
752
753.PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am am--refresh check \
754	check-am clean clean-generic clean-libtool clean-recursive \
755	ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
756	dist-shar dist-tarZ dist-zip distcheck distclean \
757	distclean-generic distclean-hdr distclean-libtool \
758	distclean-local distclean-recursive distclean-tags \
759	distcleancheck distdir distuninstallcheck dvi dvi-am html \
760	html-am info info-am install install-am install-data \
761	install-data-am install-exec install-exec-am install-info \
762	install-info-am install-man install-strip installcheck \
763	installcheck-am installdirs installdirs-am maintainer-clean \
764	maintainer-clean-generic maintainer-clean-local \
765	maintainer-clean-recursive mostlyclean mostlyclean-generic \
766	mostlyclean-libtool mostlyclean-recursive pdf pdf-am ps ps-am \
767	tags tags-recursive uninstall uninstall-am uninstall-info-am \
768	uninstall-local
769
770
771$(top_builddir)/src/common/libcommon.la \
772$(top_builddit)/src/qsnet/libqsw.la \
773$(top_builddit)/src/modules/libmods.la \
774: force-dependency-check
775	@cd `dirname $@` && make `basename $@`
776
777force-dependency-check:
778
779# Generic ``distclean'' hook.
780#
781# The double-colon allows this target to be defined multiple times,
782#   thereby allowing a Makefile.am to include its own distclean-local hook.
783#
784distclean-local::
785	-rm -f *~ \#* .\#* cscope*.out core *.core tags TAGS
786
787maintainer-clean-local:
788	-(cd $(top_srcdir) && rm -rf autom4te.cache)
789	-find . -name "Makefile.in" -exec rm {} \;
790
791distclean-local::
792	-rm -fr autom4te*.cache autoscan.*
793	-rm -rf $(PACKAGE)-*
794
795uninstall-local:
796	@rmdir $(DESTDIR)$(pkglibdir); \
797	 if [ -d  $(DESTDIR)$(pkglibdir) ]; then \
798		echo >&2;\
799		echo " Warning: The pdsh module directory $(DESTDIR)$(pkglibdir)" >&2;\
800		echo " is not empty after 'make uninstall.' There may be modules" >&2;\
801		echo " from a previous invocation of 'make install' that need" >&2;\
802		echo " to be removed for a clean uninstall." >&2;\
803		echo >&2;\
804	 fi
805# Tell versions [3.59,3.63) of GNU make to not export all variables.
806# Otherwise a system limit (for SysV at least) may be exceeded.
807.NOEXPORT: